/* ============================================== */
/* CSS for sap.ui.unfied.ShellOverlay.control (base)*/
/* ============================================== */

@sapUiUfdShellOvrlyAnimDuration: 525ms;

@sapUiUfdShellOvrlyCntntOpenAnimDuration: @sapUiUfdShellOvrlyAnimDuration / 1.5;
@sapUiUfdShellOvrlyCntntOpenAnimDelay: 75ms;
@sapUiUfdShellOvrlyCntntCloseAnimDuration: @sapUiUfdShellOvrlyAnimDuration / 1.5;
@sapUiUfdShellOvrlyCntntInnerOpenAnimDuration: @sapUiUfdShellOvrlyAnimDuration / 3;
@sapUiUfdShellOvrlyCntntInnerOpenAnimDelay: @sapUiUfdShellOvrlyCntntOpenAnimDuration / 1.5 + @sapUiUfdShellOvrlyCntntOpenAnimDelay;
@sapUiUfdShellOvrlyCntntInnerCloseAnimDuration: @sapUiUfdShellOvrlyAnimDuration / 3;
@sapUiUfdShellOvrlyCntntInnerCloseAnimDelay: 0;
@sapUiUfdShellOvrlyCntntCloseAnimDelay: @sapUiUfdShellOvrlyCntntInnerCloseAnimDuration + @sapUiUfdShellOvrlyCntntInnerCloseAnimDelay;
@sapUiUfdShellOvrlySearchOpenAnimDuration: @sapUiUfdShellOvrlyAnimDuration;
@sapUiUfdShellOvrlySearchCloseAnimDuration: @sapUiUfdShellOvrlyAnimDuration;
@sapUiUfdShellOvrlyBlockLayerAnimDuration: @sapUiUfdShellOvrlyAnimDuration / 2.5;

@sapUiUfdShellOvrlyOpenAnimOverAll: @sapUiUfdShellOvrlyCntntInnerOpenAnimDelay + @sapUiUfdShellOvrlyCntntInnerOpenAnimDuration;
@sapUiUfdShellOvrlyCloseAnimOverAll: @sapUiUfdShellOvrlyCntntInnerCloseAnimDuration + @sapUiUfdShellOvrlyCntntInnerCloseAnimDelay + @sapUiUfdShellOvrlyCntntCloseAnimDuration;

@sapUiUfdShellOvrlyHeadHeight: @sapUiUfdShellHeadHeight;
@sapUiUfdShellOvrlyBrandHeight: @sapUiUfdShellBrandHeight;


.sapUiUfdShellOvrly {
	position: absolute;
	box-sizing: border-box;
	text-align: center;
	width: 100%;
	height: 100%;
	overflow: hidden;
}

.sapUiUfdShellOvrly > div {
	height: 100%;
	width: 80%;
	max-width: 1120px; /*70rem*/
	display: inline-block;
	position: relative;
	text-align: left;
	box-sizing: border-box;
}

html.sapUiMedia-Std-Tablet .sapUiUfdShellOvrly > div {
	width: 94%;
}

html.sapUiMedia-Std-Phone .sapUiUfdShellOvrly > div {
	width: 100%;
}

.sapUiUfdShellOvrlyHead {
	height: @sapUiUfdShellOvrlyHeadHeight;
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	z-index: 1;
	box-sizing: border-box;
	overflow: hidden;
}

.sapUiUfdShellOvrlyBrand {
	background-color: @sapUiBrand;
	position: absolute;
	top: 0;
	height: @sapUiUfdShellOvrlyBrandHeight;
	left: 0;
	right: 0;
	border: medium none;
	margin: 0;
}

.sapUiUfdShellOvrlyHeadClose {
	cursor: pointer;
	right: 24px;
	position: absolute;
	opacity: 1;
	text-decoration: none;
	font-size: 14px;
	top: 0px;
	height: 100%;
	padding-top: 14px;
	padding-left: 14px;
	padding-right: 14px;
	box-sizing: border-box;
}

.sapUiUfdShellOvrlyHeadClose,
.sapUiUfdShellOvrlyHeadClose:hover,
.sapUiUfdShellOvrlyHeadClose:focus,
.sapUiUfdShellOvrlyHeadClose:visited {
	color: @sapUiButtonIconColor;
}

.sapUiUfdShellOvrlyHeadClose:active {
	color: @sapUiButtonActiveTextColor;
}

.sapUiUfdShellOvrlyCntnt {
	background-color: @sapUiGroupContentBackground;
	top: 0;
	bottom: 0;
	position: absolute;
	width: 100%;
	box-sizing: border-box;
	border-top: @sapUiUfdShellOvrlyHeadHeight solid transparent;
	box-shadow: 0 0 48px fade(@sapUiDarkShadowTint, 30);
}

.sapUiUfdShellOvrlyCntnt > div {
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	overflow: auto;
	-webkit-overflow-scrolling: touch;
}

.sapUiUfdShellOvrlyCntntHidden .sapUiUfdShellOvrlyCntnt {
	top: -100%;
	bottom: 100%;
}

.sapUiUfdShellOvrlyCntntHidden .sapUiUfdShellOvrlyCntnt > div {
	opacity: 0;
}

.sapUiUfdShellOvrlyCntntHidden .sapUiUfdShellOvrlyHeadClose {
	opacity: 0;
}

.sapUiUfdShellOvrlyHeadCntnt {
	position: absolute;
	bottom: 0;
	left: 0;
	right: 0;
	top: @sapUiUfdShellOvrlyBrandHeight;
}

.sapUiUfdShellOvrlyHeadCenter {
	position: absolute;
	height: 100%;
	left: 90px;
	right: 90px;
	top: 0;
	text-align: center;
}

html.sapUiMedia-Std-Phone .sapUiUfdShellOvrlyHeadCenter {
	left: 5px;
}

.sapUiUfdShellOvrlySearch {
	display: inline-block;
	position: relative;
	width: 95%;
	max-width: 600px;
	height: 100%;
	line-height: @sapUiUfdShellHeaderBarHeight - @sapUiUfdShellHeaderBarHeight/10;
	box-sizing: border-box;
	text-align: left;
}

.sapUiUfdShellOvrlySearch > div {
	width: 100%;
	vertical-align: middle;
	display: inline-block;
}

.sapUiUfdShellOvrlyAnim.sapUiUfdShellOvrly > div {
	-webkit-transition-property: width;
	transition-property: width;
	-moz-transition-property: width;
	-webkit-transition-duration: @sapUiUfdShellOvrlyAnimDuration / 3;
	transition-duration: @sapUiUfdShellOvrlyAnimDuration / 3;
	-moz-transition-duration: @sapUiUfdShellOvrlyAnimDuration / 3;
}

.sapUiUfdShellOvrlyAnim.sapUiUfdShellOvrlyOpening .sapUiUfdShellOvrlyCntnt {
	-webkit-transition-duration: @sapUiUfdShellOvrlyCntntOpenAnimDuration;
	transition-duration: @sapUiUfdShellOvrlyCntntOpenAnimDuration;
	-moz-transition-duration: @sapUiUfdShellOvrlyCntntOpenAnimDuration;
	-webkit-transition-delay: @sapUiUfdShellOvrlyCntntOpenAnimDelay;
	transition-delay: @sapUiUfdShellOvrlyCntntOpenAnimDelay;
	-moz-transition-delay: @sapUiUfdShellOvrlyCntntOpenAnimDelay;
}

.sapUiUfdShellOvrlyAnim.sapUiUfdShellOvrlyClosing .sapUiUfdShellOvrlyCntnt {
	-webkit-transition-duration: @sapUiUfdShellOvrlyCntntCloseAnimDuration;
	transition-duration: @sapUiUfdShellOvrlyCntntCloseAnimDuration;
	-moz-transition-duration: @sapUiUfdShellOvrlyCntntCloseAnimDuration;
	-webkit-transition-delay: @sapUiUfdShellOvrlyCntntCloseAnimDelay;
	transition-delay: @sapUiUfdShellOvrlyCntntCloseAnimDelay;
	-moz-transition-delay: @sapUiUfdShellOvrlyCntntCloseAnimDelay;
}

.sapUiUfdShellOvrlyAnim.sapUiUfdShellOvrlyOpening .sapUiUfdShellOvrlyCntnt,
.sapUiUfdShellOvrlyAnim.sapUiUfdShellOvrlyClosing .sapUiUfdShellOvrlyCntnt {
	-webkit-transition-timing-function: cubic-bezier(0,0,0,1);
	transition-timing-function: cubic-bezier(0,0,0,1);
	-moz-transition-timing-function: cubic-bezier(0,0,0,1);
}

.sapUiUfdShellOvrlyAnim .sapUiUfdShellOvrlyCntnt {
	-webkit-transition-property: top, bottom;
	transition-property: top, bottom;
	-moz-transition-property: top, bottom;
}

.sapUiUfdShellOvrlyAnim.sapUiUfdShellOvrlyOpening .sapUiUfdShellOvrlyCntnt > div {
	-webkit-transition-duration: @sapUiUfdShellOvrlyCntntInnerOpenAnimDuration;
	transition-duration: @sapUiUfdShellOvrlyCntntInnerOpenAnimDuration;
	-moz-transition-duration: @sapUiUfdShellOvrlyCntntInnerOpenAnimDuration;
	-webkit-transition-delay: @sapUiUfdShellOvrlyCntntInnerOpenAnimDelay;
	transition-delay: @sapUiUfdShellOvrlyCntntInnerOpenAnimDelay;
	-moz-transition-delay: @sapUiUfdShellOvrlyCntntInnerOpenAnimDelay;
}

.sapUiUfdShellOvrlyAnim.sapUiUfdShellOvrlyClosing .sapUiUfdShellOvrlyCntnt > div {
	-webkit-transition-duration: @sapUiUfdShellOvrlyCntntInnerCloseAnimDuration;
	transition-duration: @sapUiUfdShellOvrlyCntntInnerCloseAnimDuration;
	-moz-transition-duration: @sapUiUfdShellOvrlyCntntInnerCloseAnimDuration;
	-webkit-transition-delay: @sapUiUfdShellOvrlyCntntInnerCloseAnimDelay;
	transition-delay: @sapUiUfdShellOvrlyCntntInnerCloseAnimDelay;
	-moz-transition-delay: @sapUiUfdShellOvrlyCntntInnerCloseAnimDelay;
}

.sapUiUfdShellOvrlyAnim .sapUiUfdShellOvrlyCntnt > div {
	-webkit-transition-property: opacity;
	transition-property: opacity;
	-moz-transition-property: opacity;
}

.sapUiUfdShellOvrlyAnim.sapUiUfdShellOvrlyOpening .sapUiUfdShellOvrlySearch {
	-webkit-transition-duration: @sapUiUfdShellOvrlySearchOpenAnimDuration;
	transition-duration: @sapUiUfdShellOvrlySearchOpenAnimDuration;
	-moz-transition-duration: @sapUiUfdShellOvrlySearchOpenAnimDuration;
	-webkit-transition-timing-function: ease-out;
	transition-timing-function: ease-out;
	-moz-transition-timing-function: ease-out;
}

.sapUiUfdShellOvrlyAnim.sapUiUfdShellOvrlyClosing .sapUiUfdShellOvrlySearch {
	-webkit-transition-duration: @sapUiUfdShellOvrlySearchCloseAnimDuration;
	transition-duration: @sapUiUfdShellOvrlySearchCloseAnimDuration;
	-moz-transition-duration: @sapUiUfdShellOvrlySearchCloseAnimDuration;
}

.sapUiUfdShellOvrlyAnim .sapUiUfdShellOvrlySearch {
	-webkit-transition-property: width;
	transition-property: width;
	-moz-transition-property: width;
}

.sapUiUfdShellOvrlyAnim .sapUiUfdShellOvrlyHeadClose {
	-webkit-transition-property: opacity;
	transition-property: opacity;
	-moz-transition-property: opacity;
	-webkit-transition-duration: @sapUiUfdShellOvrlyAnimDuration;
	transition-duration: @sapUiUfdShellOvrlyAnimDuration;
	-moz-transition-duration: @sapUiUfdShellOvrlyAnimDuration;
}

.sapUiBLy.sapUiUfdShellOvrlyBly {
	-webkit-transition-property: all;
	transition-property: all;
	-moz-transition-property: all;
	-webkit-transition-duration: @sapUiUfdShellOvrlyBlockLayerAnimDuration;
	transition-duration: @sapUiUfdShellOvrlyBlockLayerAnimDuration;
	-moz-transition-duration: @sapUiUfdShellOvrlyBlockLayerAnimDuration;
}

.sapUiBLy.sapUiUfdShellOvrlyBly.sapUiUfdShellOvrlyBlyTp {
	background-color: transparent;
}
